using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class ImportKpiItem:ImportBase
    {
        [ExcelColumn("部门")]
        [EmptyValidate("Department")]
        public string Department { get; set; }
        [ExcelColumn("KPI指标")]
        [EmptyValidate("Item")]
        public string Item { get; set; }
        [ExcelColumn("年:1季:2:月3:周4:日:5")]
        [EmptyValidate("Cycle")]
        public int Cycle { get; set; }
        [ExcelColumn("目标值")]
        [EmptyValidate("TargetVal")]
        public double TargetVal { get; set; }
        [ExcelColumn("单位")]
        [EmptyValidate("Unit")]
        public string Unit { get; set; }
        [ExcelColumn("判断逻辑")]
        [EmptyValidate("Condition")]
        public string Condition { get; set; }
        [ExcelColumn("显示位置")]
        [EmptyValidate("Position")]
        public int Position { get; set; }
        [ExcelColumn("颜色")]
        [EmptyValidate("Color")]
        public string Color { get; set; }
        [ExcelColumn("启用")]
        public int Enable { get; set; }
        [ExcelColumn("创建人")]
        public string Creater { get; set; }
    }
}
